
# frozen_string_literal: true

module RubocopException
  # rubocop:disable Rails/SomeRule
  def some_method_with_disabled_rule
  end
  # rubocop:enable Rails/SomeRule

  # rubocop:disable Lint/SomeLint
  def some_method_misspelled_reenable
  end
  # rubocop:enable Lint/SomLint

  # rubocop:disable Metrics/LineLength
  # Disabling because I want to.
  def some_method_with_context
  end
  # rubocop:enable Metrics/LineLength

  # rubocop:disable Metrics/ABC
  # here is my comment why we are disabling ABC
  # Some existing comments
  # Made by another person
  def some_method_with_existing_comments
  end
  # rubocop:enable Metrics/ABC

  def some_method_with_multiline_context
    # rubocop:disable Layout/AlignHash
    # I want to disable this because..
    # I forgot the reasons.
    {
      a: 'a',
        b: 'b'
    }
    # rubocop:enable Layout/AlignHash
  end

  def some_inline_disabled_rule # rubocop:disable Rails/SomeRule
  end
end
